> For the complete documentation index, see [llms.txt](https://docs.webtonative.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.webtonative.com/javascript-apis/google-firebase-notification.md).

# Google Firebase Notification

{% hint style="info" %}

<pre data-overflow="wrap"><code>You'll need to import the javascript file in your website before starting from this <a data-footnote-ref href="#user-content-fn-1">link</a>.
</code></pre>

{% endhint %}

1\) To Retrive FCM Token

{% tabs %}
{% tab title="Plain JS" %}

```markup
const { Messaging: FirebaseMessaging } = window.WTN.Firebase

FirebaseMessaging.getFCMToken({
    callback:function(data){
        //data.token contains fcm token
        //store it in your backend to send notification
    }
})

```

{% endtab %}

{% tab title="npm" %}

```
import { getFCMToken } from "webtonative/Firebase/Messaging"

getFCMToken({
    callback:function(data){
        //data.token contains fcm token
        //store it in your backend to send notification
    }
})

```

{% endtab %}
{% endtabs %}

2\) To Subscribe to particular topic

{% tabs %}
{% tab title="Plain JS" %}

```markup
const { Messaging: FirebaseMessaging } = window.WTN.Firebase

FirebaseMessaging.subscribe({
    toTopic: "Your Topic Name"
})

```

{% endtab %}

{% tab title="npm" %}

```
import { subscribe } from "webtonative/Firebase/Messaging"

subscribe({
    toTopic: "Your Topic Name"
})

```

{% endtab %}
{% endtabs %}

3\) To Unsubscribe from particular topic

{% tabs %}
{% tab title="Plain JS" %}

```markup
const { Messaging: FirebaseMessaging } = window.WTN.Firebase

FirebaseMessaging.unsubscribe({
    fromTopic: "Your Topic Name"
})

```

{% endtab %}

{% tab title="npm" %}

```
import { unsubscribe } from "webtonative/Firebase/Messaging"

unsubscribe({
    fromTopic: "Your Topic Name"
})

```

{% endtab %}
{% endtabs %}

> In order to specify the desired URL that will be accessed upon clicking the notification, it is necessary to pass the corresponding URL through the "**deepLink**" key.

[^1]: <https://docs.webtonative.com/javascript-apis/getting-started>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.webtonative.com/javascript-apis/google-firebase-notification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
